apiVersion: integreatly.org/v1alpha1
kind: GrafanaDashboard
metadata:
  name: kubernetes-networking-workload
  labels:
    app: grafana
spec:
  customFolderName: kubernetes
  json: |-
    {
        "__inputs": [

        ],
        "__requires": [

        ],
        "annotations": {
            "list": [
                {
                    "builtIn": 1,
                    "datasource": "-- Grafana --",
                    "enable": true,
                    "hide": true,
                    "iconColor": "rgba(0, 211, 255, 1)",
                    "name": "Annotations & Alerts",
                    "type": "dashboard"
                }
            ]
        },
        "editable": true,
        "gnetId": null,
        "graphTooltip": 0,
        "hideControls": false,
        "id": null,
        "links": [

        ],
        "panels": [
            {
                "collapse": false,
                "collapsed": false,
                "gridPos": {
                    "h": 1,
                    "w": 24,
                    "x": 0,
                    "y": 0
                },
                "id": 2,
                "panels": [

                ],
                "repeat": null,
                "repeatIteration": null,
                "repeatRowId": null,
                "showTitle": true,
                "title": "Current Bandwidth",
                "titleSize": "h6",
                "type": "row"
            },
            {
                "aliasColors": {

                },
                "bars": true,
                "dashLength": 10,
                "dashes": false,
                "datasource": "$datasource",
                "fill": 2,
                "fillGradient": 0,
                "gridPos": {
                    "h": 9,
                    "w": 12,
                    "x": 0,
                    "y": 1
                },
                "id": 3,
                "legend": {
                    "alignAsTable": true,
                    "avg": false,
                    "current": true,
                    "hideEmpty": true,
                    "hideZero": true,
                    "max": false,
                    "min": false,
                    "rightSide": true,
                    "show": true,
                    "sideWidth": null,
                    "sort": "current",
                    "sortDesc": true,
                    "total": false,
                    "values": true
                },
                "lines": false,
                "linewidth": 1,
                "links": [

                ],
                "minSpan": 24,
                "nullPointMode": "null",
                "paceLength": 10,
                "percentage": false,
                "pointradius": 5,
                "points": false,
                "renderer": "flot",
                "repeat": null,
                "seriesOverrides": [

                ],
                "spaceLength": 10,
                "span": 24,
                "stack": false,
                "steppedLine": false,
                "targets": [
                    {
                        "expr": "sort_desc(sum(irate(container_network_receive_bytes_total{cluster=\"$cluster\",namespace=~\"$namespace\"}[$interval:$resolution])\n* on (namespace,pod)\ngroup_left(workload,workload_type) namespace_workload_pod:kube_pod_owner:relabel{cluster=\"$cluster\",namespace=~\"$namespace\", workload=~\"$workload\", workload_type=\"$type\"}) by (pod))\n",
                        "format": "time_series",
                        "intervalFactor": 1,
                        "legendFormat": "{{ pod }}",
                        "refId": "A",
                        "step": 10
                    }
                ],
                "thresholds": [

                ],
                "timeFrom": null,
                "timeShift": null,
                "title": "Current Rate of Bytes Received",
                "tooltip": {
                    "shared": true,
                    "sort": 2,
                    "value_type": "individual"
                },
                "type": "graph",
                "xaxis": {
                    "buckets": null,
                    "mode": "series",
                    "name": null,
                    "show": false,
                    "values": [
                        "current"
                    ]
                },
                "yaxes": [
                    {
                        "format": "Bps",
                        "label": null,
                        "logBase": 1,
                        "max": null,
                        "min": 0,
                        "show": true
                    },
                    {
                        "format": "Bps",
                        "label": null,
                        "logBase": 1,
                        "max": null,
                        "min": 0,
                        "show": true
                    }
                ]
            },
            {
                "aliasColors": {

                },
                "bars": true,
                "dashLength": 10,
                "dashes": false,
                "datasource": "$datasource",
                "fill": 2,
                "fillGradient": 0,
                "gridPos": {
                    "h": 9,
                    "w": 12,
                    "x": 12,
                    "y": 1
                },
                "id": 4,
                "legend": {
                    "alignAsTable": true,
                    "avg": false,
                    "current": true,
                    "hideEmpty": true,
                    "hideZero": true,
                    "max": false,
                    "min": false,
                    "rightSide": true,
                    "show": true,
                    "sideWidth": null,
                    "sort": "current",
                    "sortDesc": true,
                    "total": false,
                    "values": true
                },
                "lines": false,
                "linewidth": 1,
                "links": [

                ],
                "minSpan": 24,
                "nullPointMode": "null",
                "paceLength": 10,
                "percentage": false,
                "pointradius": 5,
                "points": false,
                "renderer": "flot",
                "repeat": null,
                "seriesOverrides": [

                ],
                "spaceLength": 10,
                "span": 24,
                "stack": false,
                "steppedLine": false,
                "targets": [
                    {
                        "expr": "sort_desc(sum(irate(container_network_transmit_bytes_total{cluster=\"$cluster\",namespace=~\"$namespace\"}[$interval:$resolution])\n* on (namespace,pod)\ngroup_left(workload,workload_type) namespace_workload_pod:kube_pod_owner:relabel{cluster=\"$cluster\",namespace=~\"$namespace\", workload=~\"$workload\", workload_type=\"$type\"}) by (pod))\n",
                        "format": "time_series",
                        "intervalFactor": 1,
                        "legendFormat": "{{ pod }}",
                        "refId": "A",
                        "step": 10
                    }
                ],
                "thresholds": [

                ],
                "timeFrom": null,
                "timeShift": null,
                "title": "Current Rate of Bytes Transmitted",
                "tooltip": {
                    "shared": true,
                    "sort": 2,
                    "value_type": "individual"
                },
                "type": "graph",
                "xaxis": {
                    "buckets": null,
                    "mode": "series",
                    "name": null,
                    "show": false,
                    "values": [
                        "current"
                    ]
                },
                "yaxes": [
                    {
                        "format": "Bps",
                        "label": null,
                        "logBase": 1,
                        "max": null,
                        "min": 0,
                        "show": true
                    },
                    {
                        "format": "Bps",
                        "label": null,
                        "logBase": 1,
                        "max": null,
                        "min": 0,
                        "show": true
                    }
                ]
            },
            {
                "collapse": true,
                "collapsed": true,
                "gridPos": {
                    "h": 1,
                    "w": 24,
                    "x": 0,
                    "y": 10
                },
                "id": 5,
                "panels": [
                    {
                        "aliasColors": {

                        },
                        "bars": true,
                        "dashLength": 10,
                        "dashes": false,
                        "datasource": "$datasource",
                        "fill": 2,
                        "fillGradient": 0,
                        "gridPos": {
                            "h": 9,
                            "w": 12,
                            "x": 0,
                            "y": 11
                        },
                        "id": 6,
                        "legend": {
                            "alignAsTable": true,
                            "avg": false,
                            "current": true,
                            "hideEmpty": true,
                            "hideZero": true,
                            "max": false,
                            "min": false,
                            "rightSide": true,
                            "show": true,
                            "sideWidth": null,
                            "sort": "current",
                            "sortDesc": true,
                            "total": false,
                            "values": true
                        },
                        "lines": false,
                        "linewidth": 1,
                        "links": [

                        ],
                        "minSpan": 24,
                        "nullPointMode": "null",
                        "paceLength": 10,
                        "percentage": false,
                        "pointradius": 5,
                        "points": false,
                        "renderer": "flot",
                        "repeat": null,
                        "seriesOverrides": [

                        ],
                        "spaceLength": 10,
                        "span": 24,
                        "stack": false,
                        "steppedLine": false,
                        "targets": [
                            {
                                "expr": "sort_desc(avg(irate(container_network_receive_bytes_total{cluster=\"$cluster\",namespace=~\"$namespace\"}[$interval:$resolution])\n* on (namespace,pod)\ngroup_left(workload,workload_type) namespace_workload_pod:kube_pod_owner:relabel{cluster=\"$cluster\",namespace=~\"$namespace\", workload=~\"$workload\", workload_type=\"$type\"}) by (pod))\n",
                                "format": "time_series",
                                "intervalFactor": 1,
                                "legendFormat": "{{ pod }}",
                                "refId": "A",
                                "step": 10
                            }
                        ],
                        "thresholds": [

                        ],
                        "timeFrom": null,
                        "timeShift": null,
                        "title": "Average Rate of Bytes Received",
                        "tooltip": {
                            "shared": true,
                            "sort": 2,
                            "value_type": "individual"
                        },
                        "type": "graph",
                        "xaxis": {
                            "buckets": null,
                            "mode": "series",
                            "name": null,
                            "show": false,
                            "values": [
                                "current"
                            ]
                        },
                        "yaxes": [
                            {
                                "format": "Bps",
                                "label": null,
                                "logBase": 1,
                                "max": null,
                                "min": 0,
                                "show": true
                            },
                            {
                                "format": "Bps",
                                "label": null,
                                "logBase": 1,
                                "max": null,
                                "min": 0,
                                "show": true
                            }
                        ]
                    },
                    {
                        "aliasColors": {

                        },
                        "bars": true,
                        "dashLength": 10,
                        "dashes": false,
                        "datasource": "$datasource",
                        "fill": 2,
                        "fillGradient": 0,
                        "gridPos": {
                            "h": 9,
                            "w": 12,
                            "x": 12,
                            "y": 11
                        },
                        "id": 7,
                        "legend": {
                            "alignAsTable": true,
                            "avg": false,
                            "current": true,
                            "hideEmpty": true,
                            "hideZero": true,
                            "max": false,
                            "min": false,
                            "rightSide": true,
                            "show": true,
                            "sideWidth": null,
                            "sort": "current",
                            "sortDesc": true,
                            "total": false,
                            "values": true
                        },
                        "lines": false,
                        "linewidth": 1,
                        "links": [

                        ],
                        "minSpan": 24,
                        "nullPointMode": "null",
                        "paceLength": 10,
                        "percentage": false,
                        "pointradius": 5,
                        "points": false,
                        "renderer": "flot",
                        "repeat": null,
                        "seriesOverrides": [

                        ],
                        "spaceLength": 10,
                        "span": 24,
                        "stack": false,
                        "steppedLine": false,
                        "targets": [
                            {
                                "expr": "sort_desc(avg(irate(container_network_transmit_bytes_total{cluster=\"$cluster\",namespace=~\"$namespace\"}[$interval:$resolution])\n* on (namespace,pod)\ngroup_left(workload,workload_type) namespace_workload_pod:kube_pod_owner:relabel{cluster=\"$cluster\",namespace=~\"$namespace\", workload=~\"$workload\", workload_type=\"$type\"}) by (pod))\n",
                                "format": "time_series",
                                "intervalFactor": 1,
                                "legendFormat": "{{ pod }}",
                                "refId": "A",
                                "step": 10
                            }
                        ],
                        "thresholds": [

                        ],
                        "timeFrom": null,
                        "timeShift": null,
                        "title": "Average Rate of Bytes Transmitted",
                        "tooltip": {
                            "shared": true,
                            "sort": 2,
                            "value_type": "individual"
                        },
                        "type": "graph",
                        "xaxis": {
                            "buckets": null,
                            "mode": "series",
                            "name": null,
                            "show": false,
                            "values": [
                                "current"
                            ]
                        },
                        "yaxes": [
                            {
                                "format": "Bps",
                                "label": null,
                                "logBase": 1,
                                "max": null,
                                "min": 0,
                                "show": true
                            },
                            {
                                "format": "Bps",
                                "label": null,
                                "logBase": 1,
                                "max": null,
                                "min": 0,
                                "show": true
                            }
                        ]
                    }
                ],
                "repeat": null,
                "repeatIteration": null,
                "repeatRowId": null,
                "showTitle": true,
                "title": "Average Bandwidth",
                "titleSize": "h6",
                "type": "row"
            },
            {
                "collapse": false,
                "collapsed": false,
                "gridPos": {
                    "h": 1,
                    "w": 24,
                    "x": 0,
                    "y": 11
                },
                "id": 8,
                "panels": [

                ],
                "repeat": null,
                "repeatIteration": null,
                "repeatRowId": null,
                "showTitle": true,
                "title": "Bandwidth HIstory",
                "titleSize": "h6",
                "type": "row"
            },
            {
                "aliasColors": {

                },
                "bars": false,
                "dashLength": 10,
                "dashes": false,
                "datasource": "$datasource",
                "fill": 2,
                "fillGradient": 0,
                "gridPos": {
                    "h": 9,
                    "w": 12,
                    "x": 0,
                    "y": 12
                },
                "id": 9,
                "legend": {
                    "alignAsTable": false,
                    "avg": false,
                    "current": false,
                    "hideEmpty": true,
                    "hideZero": true,
                    "max": false,
                    "min": false,
                    "rightSide": false,
                    "show": true,
                    "sideWidth": null,
                    "total": false,
                    "values": false
                },
                "lines": true,
                "linewidth": 2,
                "links": [

                ],
                "minSpan": 12,
                "nullPointMode": "connected",
                "paceLength": 10,
                "percentage": false,
                "pointradius": 5,
                "points": false,
                "renderer": "flot",
                "repeat": null,
                "seriesOverrides": [

                ],
                "spaceLength": 10,
                "span": 12,
                "stack": true,
                "steppedLine": false,
                "targets": [
                    {
                        "expr": "sort_desc(sum(irate(container_network_receive_bytes_total{cluster=\"$cluster\",namespace=~\"$namespace\"}[$interval:$resolution])\n* on (namespace,pod)\ngroup_left(workload,workload_type) namespace_workload_pod:kube_pod_owner:relabel{cluster=\"$cluster\",namespace=~\"$namespace\", workload=~\"$workload\", workload_type=\"$type\"}) by (pod))\n",
                        "format": "time_series",
                        "intervalFactor": 1,
                        "legendFormat": "{{pod}}",
                        "refId": "A",
                        "step": 10
                    }
                ],
                "thresholds": [

                ],
                "timeFrom": null,
                "timeShift": null,
                "title": "Receive Bandwidth",
                "tooltip": {
                    "shared": true,
                    "sort": 2,
                    "value_type": "individual"
                },
                "type": "graph",
                "xaxis": {
                    "buckets": null,
                    "mode": "time",
                    "name": null,
                    "show": true,
                    "values": [

                    ]
                },
                "yaxes": [
                    {
                        "format": "Bps",
                        "label": null,
                        "logBase": 1,
                        "max": null,
                        "min": 0,
                        "show": true
                    },
                    {
                        "format": "Bps",
                        "label": null,
                        "logBase": 1,
                        "max": null,
                        "min": 0,
                        "show": true
                    }
                ]
            },
            {
                "aliasColors": {

                },
                "bars": false,
                "dashLength": 10,
                "dashes": false,
                "datasource": "$datasource",
                "fill": 2,
                "fillGradient": 0,
                "gridPos": {
                    "h": 9,
                    "w": 12,
                    "x": 12,
                    "y": 12
                },
                "id": 10,
                "legend": {
                    "alignAsTable": false,
                    "avg": false,
                    "current": false,
                    "hideEmpty": true,
                    "hideZero": true,
                    "max": false,
                    "min": false,
                    "rightSide": false,
                    "show": true,
                    "sideWidth": null,
                    "total": false,
                    "values": false
                },
                "lines": true,
                "linewidth": 2,
                "links": [

                ],
                "minSpan": 12,
                "nullPointMode": "connected",
                "paceLength": 10,
                "percentage": false,
                "pointradius": 5,
                "points": false,
                "renderer": "flot",
                "repeat": null,
                "seriesOverrides": [

                ],
                "spaceLength": 10,
                "span": 12,
                "stack": true,
                "steppedLine": false,
                "targets": [
                    {
                        "expr": "sort_desc(sum(irate(container_network_transmit_bytes_total{cluster=\"$cluster\",namespace=~\"$namespace\"}[$interval:$resolution])\n* on (namespace,pod)\ngroup_left(workload,workload_type) namespace_workload_pod:kube_pod_owner:relabel{cluster=\"$cluster\",namespace=~\"$namespace\", workload=~\"$workload\", workload_type=\"$type\"}) by (pod))\n",
                        "format": "time_series",
                        "intervalFactor": 1,
                        "legendFormat": "{{pod}}",
                        "refId": "A",
                        "step": 10
                    }
                ],
                "thresholds": [

                ],
                "timeFrom": null,
                "timeShift": null,
                "title": "Transmit Bandwidth",
                "tooltip": {
                    "shared": true,
                    "sort": 2,
                    "value_type": "individual"
                },
                "type": "graph",
                "xaxis": {
                    "buckets": null,
                    "mode": "time",
                    "name": null,
                    "show": true,
                    "values": [

                    ]
                },
                "yaxes": [
                    {
                        "format": "Bps",
                        "label": null,
                        "logBase": 1,
                        "max": null,
                        "min": 0,
                        "show": true
                    },
                    {
                        "format": "Bps",
                        "label": null,
                        "logBase": 1,
                        "max": null,
                        "min": 0,
                        "show": true
                    }
                ]
            },
            {
                "collapse": true,
                "collapsed": true,
                "gridPos": {
                    "h": 1,
                    "w": 24,
                    "x": 0,
                    "y": 21
                },
                "id": 11,
                "panels": [
                    {
                        "aliasColors": {

                        },
                        "bars": false,
                        "dashLength": 10,
                        "dashes": false,
                        "datasource": "$datasource",
                        "fill": 2,
                        "fillGradient": 0,
                        "gridPos": {
                            "h": 9,
                            "w": 12,
                            "x": 0,
                            "y": 22
                        },
                        "id": 12,
                        "legend": {
                            "alignAsTable": false,
                            "avg": false,
                            "current": false,
                            "hideEmpty": true,
                            "hideZero": true,
                            "max": false,
                            "min": false,
                            "rightSide": false,
                            "show": true,
                            "sideWidth": null,
                            "total": false,
                            "values": false
                        },
                        "lines": true,
                        "linewidth": 2,
                        "links": [

                        ],
                        "minSpan": 12,
                        "nullPointMode": "connected",
                        "paceLength": 10,
                        "percentage": false,
                        "pointradius": 5,
                        "points": false,
                        "renderer": "flot",
                        "repeat": null,
                        "seriesOverrides": [

                        ],
                        "spaceLength": 10,
                        "span": 12,
                        "stack": true,
                        "steppedLine": false,
                        "targets": [
                            {
                                "expr": "sort_desc(sum(irate(container_network_receive_packets_total{cluster=\"$cluster\",namespace=~\"$namespace\"}[$interval:$resolution])\n* on (namespace,pod)\ngroup_left(workload,workload_type) namespace_workload_pod:kube_pod_owner:relabel{cluster=\"$cluster\",namespace=~\"$namespace\", workload=~\"$workload\", workload_type=\"$type\"}) by (pod))\n",
                                "format": "time_series",
                                "intervalFactor": 1,
                                "legendFormat": "{{pod}}",
                                "refId": "A",
                                "step": 10
                            }
                        ],
                        "thresholds": [

                        ],
                        "timeFrom": null,
                        "timeShift": null,
                        "title": "Rate of Received Packets",
                        "tooltip": {
                            "shared": true,
                            "sort": 2,
                            "value_type": "individual"
                        },
                        "type": "graph",
                        "xaxis": {
                            "buckets": null,
                            "mode": "time",
                            "name": null,
                            "show": true,
                            "values": [

                            ]
                        },
                        "yaxes": [
                            {
                                "format": "pps",
                                "label": null,
                                "logBase": 1,
                                "max": null,
                                "min": 0,
                                "show": true
                            },
                            {
                                "format": "pps",
                                "label": null,
                                "logBase": 1,
                                "max": null,
                                "min": 0,
                                "show": true
                            }
                        ]
                    },
                    {
                        "aliasColors": {

                        },
                        "bars": false,
                        "dashLength": 10,
                        "dashes": false,
                        "datasource": "$datasource",
                        "fill": 2,
                        "fillGradient": 0,
                        "gridPos": {
                            "h": 9,
                            "w": 12,
                            "x": 12,
                            "y": 22
                        },
                        "id": 13,
                        "legend": {
                            "alignAsTable": false,
                            "avg": false,
                            "current": false,
                            "hideEmpty": true,
                            "hideZero": true,
                            "max": false,
                            "min": false,
                            "rightSide": false,
                            "show": true,
                            "sideWidth": null,
                            "total": false,
                            "values": false
                        },
                        "lines": true,
                        "linewidth": 2,
                        "links": [

                        ],
                        "minSpan": 12,
                        "nullPointMode": "connected",
                        "paceLength": 10,
                        "percentage": false,
                        "pointradius": 5,
                        "points": false,
                        "renderer": "flot",
                        "repeat": null,
                        "seriesOverrides": [

                        ],
                        "spaceLength": 10,
                        "span": 12,
                        "stack": true,
                        "steppedLine": false,
                        "targets": [
                            {
                                "expr": "sort_desc(sum(irate(container_network_transmit_packets_total{cluster=\"$cluster\",namespace=~\"$namespace\"}[$interval:$resolution])\n* on (namespace,pod)\ngroup_left(workload,workload_type) namespace_workload_pod:kube_pod_owner:relabel{cluster=\"$cluster\",namespace=~\"$namespace\", workload=~\"$workload\", workload_type=\"$type\"}) by (pod))\n",
                                "format": "time_series",
                                "intervalFactor": 1,
                                "legendFormat": "{{pod}}",
                                "refId": "A",
                                "step": 10
                            }
                        ],
                        "thresholds": [

                        ],
                        "timeFrom": null,
                        "timeShift": null,
                        "title": "Rate of Transmitted Packets",
                        "tooltip": {
                            "shared": true,
                            "sort": 2,
                            "value_type": "individual"
                        },
                        "type": "graph",
                        "xaxis": {
                            "buckets": null,
                            "mode": "time",
                            "name": null,
                            "show": true,
                            "values": [

                            ]
                        },
                        "yaxes": [
                            {
                                "format": "pps",
                                "label": null,
                                "logBase": 1,
                                "max": null,
                                "min": 0,
                                "show": true
                            },
                            {
                                "format": "pps",
                                "label": null,
                                "logBase": 1,
                                "max": null,
                                "min": 0,
                                "show": true
                            }
                        ]
                    }
                ],
                "repeat": null,
                "repeatIteration": null,
                "repeatRowId": null,
                "showTitle": true,
                "title": "Packets",
                "titleSize": "h6",
                "type": "row"
            },
            {
                "collapse": true,
                "collapsed": true,
                "gridPos": {
                    "h": 1,
                    "w": 24,
                    "x": 0,
                    "y": 22
                },
                "id": 14,
                "panels": [
                    {
                        "aliasColors": {

                        },
                        "bars": false,
                        "dashLength": 10,
                        "dashes": false,
                        "datasource": "$datasource",
                        "fill": 2,
                        "fillGradient": 0,
                        "gridPos": {
                            "h": 9,
                            "w": 12,
                            "x": 0,
                            "y": 23
                        },
                        "id": 15,
                        "legend": {
                            "alignAsTable": false,
                            "avg": false,
                            "current": false,
                            "hideEmpty": true,
                            "hideZero": true,
                            "max": false,
                            "min": false,
                            "rightSide": false,
                            "show": true,
                            "sideWidth": null,
                            "total": false,
                            "values": false
                        },
                        "lines": true,
                        "linewidth": 2,
                        "links": [

                        ],
                        "minSpan": 12,
                        "nullPointMode": "connected",
                        "paceLength": 10,
                        "percentage": false,
                        "pointradius": 5,
                        "points": false,
                        "renderer": "flot",
                        "repeat": null,
                        "seriesOverrides": [

                        ],
                        "spaceLength": 10,
                        "span": 12,
                        "stack": true,
                        "steppedLine": false,
                        "targets": [
                            {
                                "expr": "sort_desc(sum(irate(container_network_receive_packets_dropped_total{cluster=\"$cluster\",namespace=~\"$namespace\"}[$interval:$resolution])\n* on (namespace,pod)\ngroup_left(workload,workload_type) namespace_workload_pod:kube_pod_owner:relabel{cluster=\"$cluster\",namespace=~\"$namespace\", workload=~\"$workload\", workload_type=\"$type\"}) by (pod))\n",
                                "format": "time_series",
                                "intervalFactor": 1,
                                "legendFormat": "{{pod}}",
                                "refId": "A",
                                "step": 10
                            }
                        ],
                        "thresholds": [

                        ],
                        "timeFrom": null,
                        "timeShift": null,
                        "title": "Rate of Received Packets Dropped",
                        "tooltip": {
                            "shared": true,
                            "sort": 2,
                            "value_type": "individual"
                        },
                        "type": "graph",
                        "xaxis": {
                            "buckets": null,
                            "mode": "time",
                            "name": null,
                            "show": true,
                            "values": [

                            ]
                        },
                        "yaxes": [
                            {
                                "format": "pps",
                                "label": null,
                                "logBase": 1,
                                "max": null,
                                "min": 0,
                                "show": true
                            },
                            {
                                "format": "pps",
                                "label": null,
                                "logBase": 1,
                                "max": null,
                                "min": 0,
                                "show": true
                            }
                        ]
                    },
                    {
                        "aliasColors": {

                        },
                        "bars": false,
                        "dashLength": 10,
                        "dashes": false,
                        "datasource": "$datasource",
                        "fill": 2,
                        "fillGradient": 0,
                        "gridPos": {
                            "h": 9,
                            "w": 12,
                            "x": 12,
                            "y": 23
                        },
                        "id": 16,
                        "legend": {
                            "alignAsTable": false,
                            "avg": false,
                            "current": false,
                            "hideEmpty": true,
                            "hideZero": true,
                            "max": false,
                            "min": false,
                            "rightSide": false,
                            "show": true,
                            "sideWidth": null,
                            "total": false,
                            "values": false
                        },
                        "lines": true,
                        "linewidth": 2,
                        "links": [

                        ],
                        "minSpan": 12,
                        "nullPointMode": "connected",
                        "paceLength": 10,
                        "percentage": false,
                        "pointradius": 5,
                        "points": false,
                        "renderer": "flot",
                        "repeat": null,
                        "seriesOverrides": [

                        ],
                        "spaceLength": 10,
                        "span": 12,
                        "stack": true,
                        "steppedLine": false,
                        "targets": [
                            {
                                "expr": "sort_desc(sum(irate(container_network_transmit_packets_dropped_total{cluster=\"$cluster\",namespace=~\"$namespace\"}[$interval:$resolution])\n* on (namespace,pod)\ngroup_left(workload,workload_type) namespace_workload_pod:kube_pod_owner:relabel{cluster=\"$cluster\",namespace=~\"$namespace\", workload=~\"$workload\", workload_type=\"$type\"}) by (pod))\n",
                                "format": "time_series",
                                "intervalFactor": 1,
                                "legendFormat": "{{pod}}",
                                "refId": "A",
                                "step": 10
                            }
                        ],
                        "thresholds": [

                        ],
                        "timeFrom": null,
                        "timeShift": null,
                        "title": "Rate of Transmitted Packets Dropped",
                        "tooltip": {
                            "shared": true,
                            "sort": 2,
                            "value_type": "individual"
                        },
                        "type": "graph",
                        "xaxis": {
                            "buckets": null,
                            "mode": "time",
                            "name": null,
                            "show": true,
                            "values": [

                            ]
                        },
                        "yaxes": [
                            {
                                "format": "pps",
                                "label": null,
                                "logBase": 1,
                                "max": null,
                                "min": 0,
                                "show": true
                            },
                            {
                                "format": "pps",
                                "label": null,
                                "logBase": 1,
                                "max": null,
                                "min": 0,
                                "show": true
                            }
                        ]
                    }
                ],
                "repeat": null,
                "repeatIteration": null,
                "repeatRowId": null,
                "showTitle": true,
                "title": "Errors",
                "titleSize": "h6",
                "type": "row"
            }
        ],
        "refresh": "10s",
        "rows": [

        ],
        "schemaVersion": 18,
        "style": "dark",
        "tags": [
            "kubernetes"
        ],
        "templating": {
            "list": [
                {
                    "current": {
                        "text": "default",
                        "value": "default"
                    },
                    "hide": 0,
                    "label": null,
                    "name": "datasource",
                    "options": [

                    ],
                    "query": "prometheus",
                    "refresh": 1,
                    "regex": "",
                    "type": "datasource"
                },
                {
                    "allValue": null,
                    "current": {

                    },
                    "datasource": "$datasource",
                    "hide": 2,
                    "includeAll": false,
                    "label": null,
                    "multi": false,
                    "name": "cluster",
                    "options": [

                    ],
                    "query": "label_values(kube_pod_info, cluster)",
                    "refresh": 1,
                    "regex": "",
                    "sort": 0,
                    "tagValuesQuery": "",
                    "tags": [

                    ],
                    "tagsQuery": "",
                    "type": "query",
                    "useTags": false
                },
                {
                    "allValue": ".+",
                    "auto": false,
                    "auto_count": 30,
                    "auto_min": "10s",
                    "current": {
                        "text": "kube-system",
                        "value": "kube-system"
                    },
                    "datasource": "$datasource",
                    "definition": "label_values(container_network_receive_packets_total{cluster=\"$cluster\"}, namespace)",
                    "hide": 0,
                    "includeAll": true,
                    "label": null,
                    "multi": false,
                    "name": "namespace",
                    "options": [

                    ],
                    "query": "label_values(container_network_receive_packets_total{cluster=\"$cluster\"}, namespace)",
                    "refresh": 1,
                    "regex": "",
                    "skipUrlSync": false,
                    "sort": 1,
                    "tagValuesQuery": "",
                    "tags": [

                    ],
                    "tagsQuery": "",
                    "type": "query",
                    "useTags": false
                },
                {
                    "allValue": null,
                    "auto": false,
                    "auto_count": 30,
                    "auto_min": "10s",
                    "current": {
                        "text": "",
                        "value": ""
                    },
                    "datasource": "$datasource",
                    "definition": "label_values(namespace_workload_pod:kube_pod_owner:relabel{cluster=\"$cluster\",namespace=~\"$namespace\"}, workload)",
                    "hide": 0,
                    "includeAll": false,
                    "label": null,
                    "multi": false,
                    "name": "workload",
                    "options": [

                    ],
                    "query": "label_values(namespace_workload_pod:kube_pod_owner:relabel{cluster=\"$cluster\",namespace=~\"$namespace\"}, workload)",
                    "refresh": 1,
                    "regex": "",
                    "skipUrlSync": false,
                    "sort": 1,
                    "tagValuesQuery": "",
                    "tags": [

                    ],
                    "tagsQuery": "",
                    "type": "query",
                    "useTags": false
                },
                {
                    "allValue": null,
                    "auto": false,
                    "auto_count": 30,
                    "auto_min": "10s",
                    "current": {
                        "text": "deployment",
                        "value": "deployment"
                    },
                    "datasource": "$datasource",
                    "definition": "label_values(namespace_workload_pod:kube_pod_owner:relabel{cluster=\"$cluster\",namespace=~\"$namespace\", workload=~\"$workload\"}, workload_type)",
                    "hide": 0,
                    "includeAll": false,
                    "label": null,
                    "multi": false,
                    "name": "type",
                    "options": [

                    ],
                    "query": "label_values(namespace_workload_pod:kube_pod_owner:relabel{cluster=\"$cluster\",namespace=~\"$namespace\", workload=~\"$workload\"}, workload_type)",
                    "refresh": 1,
                    "regex": "",
                    "skipUrlSync": false,
                    "sort": 0,
                    "tagValuesQuery": "",
                    "tags": [

                    ],
                    "tagsQuery": "",
                    "type": "query",
                    "useTags": false
                },
                {
                    "allValue": null,
                    "auto": false,
                    "auto_count": 30,
                    "auto_min": "10s",
                    "current": {
                        "text": "5m",
                        "value": "5m"
                    },
                    "datasource": "$datasource",
                    "hide": 0,
                    "includeAll": false,
                    "label": null,
                    "multi": false,
                    "name": "resolution",
                    "options": [
                        {
                            "selected": false,
                            "text": "30s",
                            "value": "30s"
                        },
                        {
                            "selected": true,
                            "text": "5m",
                            "value": "5m"
                        },
                        {
                            "selected": false,
                            "text": "1h",
                            "value": "1h"
                        }
                    ],
                    "query": "30s,5m,1h",
                    "refresh": 2,
                    "regex": "",
                    "skipUrlSync": false,
                    "sort": 1,
                    "tagValuesQuery": "",
                    "tags": [

                    ],
                    "tagsQuery": "",
                    "type": "interval",
                    "useTags": false
                },
                {
                    "allValue": null,
                    "auto": false,
                    "auto_count": 30,
                    "auto_min": "10s",
                    "current": {
                        "text": "5m",
                        "value": "5m"
                    },
                    "datasource": "$datasource",
                    "hide": 2,
                    "includeAll": false,
                    "label": null,
                    "multi": false,
                    "name": "interval",
                    "options": [
                        {
                            "selected": true,
                            "text": "4h",
                            "value": "4h"
                        }
                    ],
                    "query": "4h",
                    "refresh": 2,
                    "regex": "",
                    "skipUrlSync": false,
                    "sort": 1,
                    "tagValuesQuery": "",
                    "tags": [

                    ],
                    "tagsQuery": "",
                    "type": "interval",
                    "useTags": false
                }
            ]
        },
        "time": {
            "from": "now-1h",
            "to": "now"
        },
        "timepicker": {
            "refresh_intervals": [
                "5s",
                "10s",
                "30s",
                "1m",
                "5m",
                "15m",
                "30m",
                "1h",
                "2h",
                "1d"
            ],
            "time_options": [
                "5m",
                "15m",
                "1h",
                "6h",
                "12h",
                "24h",
                "2d",
                "7d",
                "30d"
            ]
        },
        "timezone": "UTC",
        "title": "Networking - Workload",
        "uid": "728bf77cc1166d2f3133bf25846876cc",
        "version": 0
    }
